# Informations générales

Cette sous-section du [mode Configuration](./index.rst) présente un ensemble d'options :

- **Langue** : la langue d'affichage de vMap2 (Français - par défaut - ; Anglais)


- **Afficher uniquement un bouton dans les grilles** : si "Oui", un seul bouton est affiché dans les tableaux (il s'agit du bouton avec le plus de permissions, généralement celui d'édition). Si "Non", plusieurs bouton peuvent être affichés dans une grille (généralement un bouton pour la consultation, un pour l'édition)


- **Nombre de lignes par page** : nombre de lignes maximum affichées dans chaque page d'un tableau (par défaut : 20)


- **Autoriser "Se souvenir de moi"** : affiche l'option "Se souvenir de moi" sur la page de connexion de vMap2


- **Valeur par défaut de "Se souvenir de moi"** : indique si cette option est par défaut activée ou désactivée


- **Afficher le bouton pour la création de compte** : permet à un utilisateur non-connecté de créer son compte. Si "Oui", la configuration du [SMTP](#smtp) est requise pour assurer le fonctionnement de cette option.


- **Afficher le bouton pour la récupération de mot de passe** : permet à un utilisateur non-connecté de recevoir par e-mail un message de récupération de mot de passe.  Si "Oui", la configuration du [SMTP](./smtp.md) est requise pour assurer le fonctionnement de cette option.


- **Clé publique / privée pour le Captcha Google** : indiquer ici les clés publique/privée de [Google reCAPTCHA](https://www.google.com/recaptcha). Ces options sont nécessaires pour la création de compte ou pour les appels externes (widgets)
