<?php

namespace App\Module\Cadastre\WebService\Entity\Majic;

use Doctrine\ORM\Mapping\Column;
use Doctrine\ORM\Mapping\Entity;
use Doctrine\ORM\Mapping\EntityListeners;
use Doctrine\ORM\Mapping\Id;
use Doctrine\ORM\Mapping\Table;

/**
 *  Objet ORM pour annee_reference
 *
 * @author Alizée Buckel <alizee.buckel@veremes.com>
 *
 * @Entity(repositoryClass="App\Module\Cadastre\WebService\Repository\AnneeReferenceRepository")
 * @EntityListeners({"App\Module\Vitis\WebService\EventListener\VitisEntityListener"})
 * @Table(schema="@prop(cadastre_schema_majic)",name="annee_reference")
 */
class AnneeReference {
  /**
   * @var string
   * @Column(type="string", name="annee")
   * @Id
   */
  private $annee;

  /**
   * @return string
   * Cette méthode permet de récupérer l'année
   */
  public function getAnnee(): string {
    return $this->annee;
  }
}
