<?php

namespace App\Module\Cadastre\WebService\Repository;

use App\Module\Vitis\WebService\Repository\GenericRepository;
use Doctrine\ORM\EntityManagerInterface;
use Doctrine\ORM\Mapping\ClassMetadata;

class AnneeReferenceRepository extends GenericRepository {
  /**
   * {@inheritdoc}
   */
  public function __construct(EntityManagerInterface $em, ClassMetadata $class) {
    parent::__construct($em, $class);
  }

  /**
   * @return string
   * Cette méthode permet de récupérer l'année de référence
   */
  public function getAnneeReference(): string {
    $qb = $this->createQueryBuilder('a');
    $qb->setMaxResults(1);
    return $qb->getQuery()->getSingleResult()->getAnnee();
  }
}
