import { defaultEmptyMapOptions } from '../DatasourceTreeviewFormVar';

export const datasourceTreeviewPgTableMapForm = {
  'display': {
    'name': 'custom-form',
    'input_size': 'xxs',
    'nb_cols': 12,
    'initEvent': 'prepareData()',
    'rows': [
      {
        'fields': [
          {
            'type': 'title',
            'name': 'title',
            'label': 'DATASOURCE_FORM_PG_TABLE_FIRST_VALUES',
            'nb_cols': 12,
            'class': 'h1'
          }
        ]
      },
      {
        'fields': [
          {
            'type': 'map_vmap',
            'name': 'table_map_layers',
            'nb_cols': 12,
            'style': {
              'height': '500px'
            },
            'map_options': JSON.parse(JSON.stringify(defaultEmptyMapOptions))
          }
        ]
      }
    ],
    'tabs': {
      'position': 'top',
      'list': [
        {
          'label': 'Tab 0',
          'elements': [
            'title',
            'table_map_layers',
          ]
        }
      ]
    }
  },
  'insert': {
    'name': 'custom-form',
    'title': 'Postgres table',
    'event': 'sendForm()',
    'input_size': 'xxs',
    'nb_cols': 12,
    'javascript': false,
    'rows': [],
    'tabs': {
      'position': 'top',
      'list': [
        {
          'label': 'Tab 0',
          'elements': []
        }
      ]
    }
  },
  'update': {
    'name': 'custom-form',
    'title': 'Postgres table',
    'input_size': 'xxs',
    'nb_cols': 12,
    'event': 'sendForm()',
    'javascript': false,
    'rows': [],
    'tabs': {
      'position': 'top',
      'list': [
        {
          'label': 'Tab 0',
          'elements': [
          ]
        }
      ]
    }
  }
};
