export const datasourceTreeviewWMSConnectionGetCapabilitiesForm = {
  'display': {
    'name': 'custom-form',
    'input_size': 'xxs',
    'nb_cols': 12,
    'rows': [
      {
        'fields': [
          {
            'type': 'monaco-editor',
            'name': 'get_capabilities',
            'nb_cols': 12,
            'options': {
              'theme': 'vs',
              'language': 'xml',
              'fontFamily': 'Arial',
              'fontSize': 13,
              'automaticLayout': true,
              'wordWrap': 'bounded',
              'wordWrapColumn': 100
            }
          }
        ]
      }
    ],
    'tabs': {
      'position': 'top',
      'list': [
        {
          'label': 'Tab 0',
          'elements': [
            'get_capabilities'
          ]
        }
      ]
    }
  },
  'insert': {
    'name': 'custom-form',
    'title': 'WMS connexion',
    'event': 'sendForm()',
    'input_size': 'xxs',
    'nb_cols': 12,
    'javascript': false,
    'rows': [],
    'tabs': {
      'position': 'top',
      'list': [
        {
          'label': 'Tab 0',
          'elements': []
        }
      ]
    }
  },
  'update': {
    'name': 'custom-form',
    'title': 'WMS connexion',
    'input_size': 'xxs',
    'nb_cols': 12,
    'event': 'sendForm()',
    'javascript': false,
    'rows': [],
    'tabs': {
      'position': 'top',
      'list': [
        {
          'label': 'Tab 0',
          'elements': []
        }
      ]
    }
  }
};
