import { defaultEmptyMapOptions } from '../DatasourceTreeviewFormVar';

export const datasourceTreeviewWMSLayerMapForm = {
  'display': {
    'name': 'custom-form',
    'input_size': 'xxs',
    'initEvent': 'prepareData()',
    'nb_cols': 12,
    'rows': [
      {
        'fields': [
          {
            'type': 'map_vmap',
            'name': 'wms_map_layer',
            'nb_cols': 12,
            'style': {
              'height': '500px'
            },
            'map_options': JSON.parse(JSON.stringify(defaultEmptyMapOptions))
          }
        ]
      },
      {
        'fields': [
          {
            'type': 'hidden',
            'name': 'layer_options',
            'nb_cols': 3
          }
        ]
      }
    ],
    'tabs': {
      'position': 'top',
      'list': [
        {
          'label': 'Tab 0',
          'elements': [
            'wms_map_layer',
            'layer_options'
          ]
        }
      ]
    }
  },
  'insert': {
    'name': 'custom-form',
    'title': 'WMS connexion',
    'event': 'sendForm()',
    'input_size': 'xxs',
    'nb_cols': 12,
    'javascript': false,
    'rows': [],
    'tabs': {
      'position': 'top',
      'list': [
        {
          'label': 'Tab 0',
          'elements': []
        }
      ]
    }
  },
  'update': {
    'name': 'custom-form',
    'title': 'WMS connexion',
    'input_size': 'xxs',
    'nb_cols': 12,
    'event': 'sendForm()',
    'initEvent': 'prepareData()',
    'javascript': false,
    'rows': [
      {
        'fields': [
          {
            'type': 'map_vmap',
            'name': 'wms_map_layer',
            'nb_cols': 12,
            'style': {
              'height': '500px'
            },
            'map_options': JSON.parse(JSON.stringify(defaultEmptyMapOptions))
          }
        ]
      }
    ],
    'tabs': {
      'position': 'top',
      'list': [
        {
          'label': 'Tab 0',
          'elements': [
            'wms_map_layer'
          ]
        }
      ]
    }
  }
};
