import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';
import { JsonSymbologyLabelsColorAndSizeOutline } from 'src/app/modules/vmap/models/json-symbology/json-symbology-label.model';

@Component({
  selector: 'app-label-outline',
  templateUrl: './label-outline.component.html',
  styleUrls: ['./label-outline.component.scss']
})
export class LabelOutlineComponent implements OnInit {

  @Input() oField: JsonSymbologyLabelsColorAndSizeOutline;
  @Input() sAttribut: string;
  @Output() setJsonSymboValue: EventEmitter<JsonSymbologyLabelsColorAndSizeOutline> = new EventEmitter();
  @Output() isValidField = new EventEmitter<any>();

  /**
   * Constructeur
   */
  constructor() { }

  /**
   * Chargement du composant
   */
  ngOnInit(): void {
  }

}
