import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';
import { JsonSymbologyLabelsSizeAndPosition } from 'src/app/modules/vmap/models/json-symbology/json-symbology-label.model';
import { LayerSymbologyService } from 'src/modules/vmap/components/layer-symbology/services/layer-symbology/layer-symbology.service';

@Component({
  selector: 'app-label-size-and-position',
  templateUrl: './label-size-and-position.component.html',
  styleUrls: ['./label-size-and-position.component.scss']
})
export class LabelSizeAndPositionComponent implements OnInit {

  @Input() oField: JsonSymbologyLabelsSizeAndPosition;
  @Input() sAttribut: string;
  @Output() setJsonSymboValue: EventEmitter<JsonSymbologyLabelsSizeAndPosition> = new EventEmitter();
  @Output() isValidField = new EventEmitter<any>();
  @Input() sXYPattern: string;

  /**
   * Constructeur
   */
  constructor(private service: LayerSymbologyService) { }

  /**
   * Chargement du composant
   */
  ngOnInit(): void {
  }
}
