import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';
import { JsonSymbologyStylesOpacity } from 'src/modules/vmap/components/models/json-symbology/json-symbology-style.model';

@Component({
  selector: 'app-opacity',
  templateUrl: './opacity.component.html',
  styleUrls: ['./opacity.component.scss']
})
export class OpacityComponent implements OnInit {

  @Input() oField: JsonSymbologyStylesOpacity;
  @Input() sAttribut: string;

  @Output() setJsonSymboValue: EventEmitter<JsonSymbologyStylesOpacity> = new EventEmitter();
  @Output() isValidField = new EventEmitter<any>();

  /**
   * Constructeur
   */
  constructor() { }

  /**
   * Chargement du composant
   */
  ngOnInit(): void {
  }
}
