import { Component, Input, OnInit, Output, EventEmitter } from '@angular/core';

@Component({
  selector: 'app-layer-symbology-form-visibility-scales',
  templateUrl: './layer-symbology-form-visibility-scales.component.html',
  styleUrls: ['./layer-symbology-form-visibility-scales.component.scss']
})
export class LayerSymbologyFormVisibilityScalesComponent implements OnInit {

  @Input() public minValue: any;
  @Input() public maxValue: any;
  @Input() public labelMin: string;
  @Input() public labelMax: string;
  @Input() public disabled: boolean;

  @Output() changeVal = new EventEmitter<any>();

  /**
   * Constructeur
   */
  constructor() { }

  /**
   * Chargement du composant
   */
  ngOnInit(): void {
  }

  /**
   * Remonte les valeurs avec changeVal
   * @param evt
   */
  public setValues(evt: any) {
    this.changeVal.next({
      minValue: this.minValue,
      maxValue: this.maxValue
    });
  }
}
