import { Routes, RouterModule } from '@angular/router';
import { ModuleWithProviders } from '@angular/core';
import { CanDeactivateGuard } from 'src/app/vitis/core/services/deactivate/can-deactivate.guard';
import { LayerSymbologyComponent } from './layer-symbology.component';

export const routes: Routes = [
  {
    path: '',
    component: LayerSymbologyComponent,
    canDeactivate: [CanDeactivateGuard],
    children: []
  },
];

export const routing: ModuleWithProviders<any> = RouterModule.forChild(routes);
