export const unflattenDefinitionSymJson = {
  general: {
    opacity: 'opacity.opacity',
    minscale: 'visibility.minscale',
    maxscale: 'visibility.maxscale',
    symbolscaledenom: 'symbolscaledenom',
    maxdistance: 'cluster.maxdistance',
    region: 'cluster.region',
    sizeunits: 'units.sizeunits'
  },
  classes: {

  },
  styles: {
    point: {
      symbol: 'symbol',
      rotation: 'rotation',
      fillcolor: 'fillcolor',
      size: 'size',
      opacity: 'opacity.opacity',
      minscale: 'visibility.minscale',
      maxscale: 'visibility.maxscale',
      minsize: 'symbolSizeVariation.minsize',
      maxsize: 'symbolSizeVariation.maxsize',
      minwidth: 'symbolSizeVariation.minwidth',
      maxwidth: 'symbolSizeVariation.maxwidth',
      outlineColor: 'symbolOutline.outlineColor',
      width: 'symbolOutline.width',
      offset: 'symbolOffset.offset',
    },
    line: {
      opacity: 'opacity.opacity',
      minscale: 'visibility.minscale',
      maxscale: 'visibility.maxscale',
    },
    polygon: {
      opacity: 'opacity.opacity',
      minscale: 'visibility.minscale',
      maxscale: 'visibility.maxscale',
    }
  },
  labels: {
    minscale: 'visibility.minscale',
    maxscale: 'visibility.maxscale',
    repeatdistance: 'other.repeatdistance',
    mindistance: 'other.mindistance',
    partials: 'other.partials',
    force: 'other.force',
    type: 'other.type',
    antialias: 'other.antialias',
    wrap: 'wrap.wrap',
    maxlength: 'wrap.maxlength',
    align: 'wrap.align',
    outlineWidth: 'outline.outlineWidth',
    outlineColor: 'outline.outlineColor',
    shadowcolor: 'shadow.shadowcolor',
    shadowsize: 'shadow.shadowsize',
    backgroundcolor: 'shadowBackground.backgroundcolor',
    backgroundshadowsize: 'shadowBackground.backgroundshadowsize',
    minsize: 'sizeAndPosition.minsize',
    maxsize: 'sizeAndPosition.maxsize',
    buffer: 'sizeAndPosition.buffer',
    offset: 'sizeAndPosition.offset',
    rotation: 'sizeAndPosition.rotation',
    priority: 'sizeAndPosition.priority',
    minfeaturesize: 'sizeAndPosition.minfeaturesize'
  }
};

export const polygonSimple = {
  fillcolor: 'fillcolor',
  width: 'width',
  outlineColor: 'outlineColor',
};

export const polygonSymbolRepeat = {
  symbol: 'polygonSymbolRepeat.symbol',
  rotation: 'polygonSymbolRepeat.rotation',
  fillcolor: 'polygonSymbolRepeat.fillcolor',
  size: 'polygonSymbolRepeat.size',
  outlineColor: 'polygonSymbolRepeat.outlineColor',
  width: 'polygonSymbolRepeat.width',
  gap: 'polygonSymbolRepeat.gap',
  offset: 'polygonSymbolRepeat.offset',
};

export const polygonSymbolCenter = {
  geomtransform: 'polygonSymbolCenter.geomtransform',
  symbol: 'polygonSymbolCenter.symbol',
  rotation: 'polygonSymbolCenter.rotation',
  fillcolor: 'polygonSymbolCenter.fillcolor',
  size: 'polygonSymbolCenter.size',
  outlineColor: 'polygonSymbolCenter.outlineColor',
  width: 'polygonSymbolCenter.width',
  offset: 'polygonSymbolCenter.offset'
};

export const lineSimple = {
  fillcolor: 'fillcolor',
  width: 'width',
  linecap: 'lineDash.linecap',
  pattern: 'lineDash.pattern',
};

export const lineSymbol = {
  opacity: 'opacity.opacity',
  minscale: 'visibility.minscale',
  maxscale: 'visibility.maxscale',
  symbol: 'lineSymbol.symbol',
  rotation: 'lineSymbol.rotation',
  fillcolor: 'lineSymbol.fillcolor',
  size: 'lineSymbol.size',
  outlineColor: 'lineSymbol.outlineColor',
  width: 'lineSymbol.width',
  outlineWidth: 'lineSymbol.outlineWidth',
  offset: 'lineSymbol.offset',
  gap: 'lineSymbol.gap',
  linejoin: 'lineSymbol.linejoin',
  initialgap: 'lineSymbol.initialgap',
};

export const clusterExpression = [
  '[Cluster_FeatureCount] > 1',
  []
];
