/**
 * constructor_form
 * Fonction lancée au chargement du formulaire
 * @param {object} scope Formreader
 * @param {object} env environment
 * @param {object} services
 * @returns {undefined} 
 */
var constructor_form = function (scope, env, services) {
    /**
     * Fonction exécutée avant l'envoi du formulaire.
     * @param {object} oFormValues
     * @returns {boolean} 
     */
    scope.beforeFormMapComment = function (oFormValues) {
        // Date de dernière modification.
        oFormValues.comment_last_modification = moment().toISOString();
        return true;
    }
}