import { AppModeConfig } from 'src/app/vitis/app.model';


/**
 * Objet vMap du mode mon config
 */
export const vmapConfigVmapGeneralObject: AppModeConfig = {
  name: 'vitis_config_vmap',
  label: 'TITLE_MODE_CONFIGURATION_VMAP_PROPERTIES_GENERAL',
  route: 'general',
  type: 'simpleform',
  privilege: 'vmap_admin',
  options: {
    module: 'vmap',
    ressource: 'vmap/properties',
    id_field: 'module_name',
    form_path: 'modules/vmap/forms/configuration/configuration.json',
    js_path: 'modules/vmap/forms/configuration/configuration.js'
  }
};

/**
 * Objet vMap du mode mon config
 */
export const vmapConfigVmapCadastreObject: AppModeConfig = {
  name: 'vitis_config_vmap',
  label: 'TITLE_MODE_CONFIGURATION_VMAP_PROPERTIES_CADASTRE',
  route: 'cadastre',
  type: 'simpleform',
  privilege: 'vmap_admin',
  options: {
    module: 'vmap',
    ressource: 'cadastre/properties',
    id_field: 'module_name',
    form_path: 'modules/vmap/forms/configuration/cadastre.json',
    js_path: 'modules/vmap/forms/configuration/cadastre.js'
  }
};

/**
 * Objet vMap du mode mon config
 */
export const vmapConfigVmapObject: AppModeConfig = {
  name: 'vitis_config_vmap',
  label: 'TITLE_MODE_CONFIGURATION_VMAP_PROPERTIES',
  route: 'config-vmap',
  type: 'sectionSimpleform',
  privilege: 'vmap_admin',
  options: {
    module: 'vmap',
  },
  sections: [vmapConfigVmapGeneralObject, vmapConfigVmapCadastreObject],
};
