
import { CheckService } from './check/check.service';
import { CloneService } from './clone/clone.service';
import { RequestsService } from './requests/requests.service';
import { FileRequestsService } from './requests/file-requests.service';
import { LocalStorageService } from './localstorage/local-storage.service';
import { SessionStorageService } from './sessionstorage/session-storage.service';
import { vitisAlert } from './alert/vitisalert';
import { vitisStringSimplifier } from './stringsimplifier/vitisstringsimplifier';

export {
  vitisAlert,
  vitisStringSimplifier,
  RequestsService as VitisRequest,
  FileRequestsService as VitisFileRequest,
  CheckService as VitisCheck,
  CloneService as VitisClone,
  LocalStorageService as LocalStorage,
  SessionStorageService as SessionStorage
};
