import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { DataGridComponent } from 'src/app/vitis/data-grid/data-grid.component';
import { TranslateModule } from '@ngx-translate/core';
import { BtnModalComponent } from './btn-modal/btn-modal.component';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { NgbDropdownModule, NgbPaginationModule } from '@ng-bootstrap/ng-bootstrap';
import { DragAndDropListComponent } from '../drag-and-drop-list/drag-and-drop-list.component';

@NgModule({
  imports: [
    CommonModule,
    TranslateModule,
    FormsModule,
    ReactiveFormsModule,
    NgbPaginationModule,
    NgbDropdownModule
  ],
  declarations: [
    DataGridComponent,
    BtnModalComponent,
    DragAndDropListComponent
  ],
  exports: [
    DataGridComponent,

  ],
})
export class DataGridModule { }
