import { Routes, RouterModule } from '@angular/router';
import { ModuleWithProviders } from '@angular/core';
import { CanDeactivateGuard } from 'src/app/vitis/core/services/deactivate/can-deactivate.guard';
import { DisplayformComponent } from './displayform.component';

export const routes: Routes = [
  {
    path: '',
    component: DisplayformComponent,
    canDeactivate: [CanDeactivateGuard]
  }, // composant par défaut
];

export const routing: ModuleWithProviders<any> = RouterModule.forChild(routes);
