import { FormreaderComponent } from './formreader.component';

export class Tab {
  label: string;
  elements: Array<string>;
  studio_edited_?: boolean;
}

export class Tabs {
  position: string;
  list: Array<Tab>;
}

export class ModalFormreaderOptions {
  title: string;
  cancel_button: boolean;
  valid_button: boolean;
  initEvent?: (this_: FormreaderComponent) => boolean | void;
  beforeEvent?: (this_: FormreaderComponent) => boolean | void;
  afterEvent?: (this_: FormreaderComponent) => boolean | void;
  event?: (this_: FormreaderComponent) => boolean | void;
  formOptions?: any;
}
