import { Routes, RouterModule } from '@angular/router';
import { ModuleWithProviders } from '@angular/core';
import { CanDeactivateGuard } from 'src/app/vitis/core/services/deactivate/can-deactivate.guard';
import { OAuth2Component } from './oauth2.component';

export const routes: Routes = [
  {
    path: '',
    component: OAuth2Component,
    canDeactivate: [CanDeactivateGuard]
  },
];

export const routing: ModuleWithProviders<any> = RouterModule.forChild(routes);
