import { Component, OnInit, Input } from '@angular/core';
import { Router } from '@angular/router';

@Component({
  selector: 'app-message-page',
  templateUrl: './message-page.component.html',
  styleUrls: ['./message-page.component.scss']
})
export class MessagePageComponent implements OnInit {

  @Input() sMessage: string;
  @Input() showLoginBtn: boolean = true;

  /**
   * Constructeur
   */
  constructor(
    private router: Router,
  ) { }

  /**
   * Chargement du composant
   */
  ngOnInit() { }

  /**
   * Navigue vers la page de login
   */
  public backToLogin() {
    this.router.navigate(['login']);
  }

}
