import { Component, OnInit, Input } from '@angular/core';
import { NgbActiveModal } from '@ng-bootstrap/ng-bootstrap';

@Component({
  selector: 'app-modal-header',
  templateUrl: './modal-header.component.html',
  styleUrls: ['./modal-header.component.scss']
})
export class ModalHeaderComponent implements OnInit {

  @Input() public modalTitle: string = '';

  /**
   * Constructeur
   */
  constructor(
    private modalService: NgbActiveModal,
  ) { }

  /**
   * Chargement du composant
   */
  ngOnInit(): void {
  }

  /**
   * Ferme la modale
   */
  public dismissModal() {
    this.modalService.dismiss();
  }

}
