/**
 * constructor_form
 * Fonction lancée au chargement du formulaire
 * @param {object} scope Formreader
 * @param {object} env environment
 * @param {object} services
 * @returns {undefined} 
 */
var constructor_form = function (scope, env, services) {

  /**
   * Fonction appelée avant l'envoi du formulaire
   * @return {boolean|promise}
   */
  scope.beforeEvent = function (oFormValues) {
    if (oFormValues.ispublic === true) {
      if (oFormValues.isdefault === true) {
        oFormValues.isdefault = false;
      }
      if (services.vitisCheck.isDefAndNotNull(oFormValues.user_id)) {
        oFormValues.user_id = '';
        oFormValues.user_name = '';
      }
    }
    return true;
  }
}
