/**
 * constructor_form
 * Fonction lancée au chargement du formulaire
 * @param {object} scope Formreader
 * @param {object} env environment
 * @param {object} services
 * @returns {undefined} 
 */
var constructor_form = function (scope, env, services) {

  /**
   * Fonction appelée avant l'envoi du formulaire
   * @return {boolean|promise}
   */
  scope.beforeEvent = function () {
    const oFormValues = scope.getFormValues();
    return true
  }

  /**
   * Fonction appelée après l'envoi du formulaire
   * @return {boolean|promise}
   */
  scope.afterEvent = function () {
    const oFormValues = scope.getFormValues();
    return true;
  }
  
}
