<?php

use Symfony\Component\DependencyInjection\Definition;

// Same as before
$definition = new Definition();

$definition
    ->setAutowired(true)
    ->setAutoconfigured(true)
    ->setPublic(false)
;

$this->registerClasses($definition, 'App\\', '../src/*', '../src/{DependencyInjection,Entity,Migrations,Tests,Kernel.php}');

$sPath = dirname(__DIR__) . "/src/Module";
$aModules = array_diff(scandir($sPath), [".", ".."]);

foreach($aModules as $sModuleName){
    $this->registerClasses($definition, 'App\\Module\\' . $sModuleName . '\\Controller\\', '../src/Module/' . $sModuleName . '/Controller')
        ->addTag('controller.service_arguments')
    ;
}

?>