
/**
 * Initialize the mail
 * @param {object} opt_options
 * @param {array<object>} opt_options.includes
 * @param {object} opt_options.scope
 * @param {string} opt_options.mailbody corps du mail
 */
var initRender = function (opt_options) {
    
    if (!isDef(opt_options.htmlbody)) {
        callError('opt_options.mailbody not defined');
    }

    console.debug('document width : ' + document.documentElement.clientWidth);
    console.debug('document height : ' + document.documentElement.clientHeight);
    console.debug('innerWidth : ' + window.innerWidth);
    console.debug('innerHeight :' + window.innerHeight);
    console.debug('devicePixelRatio (dpi) : ' + window.devicePixelRatio);
    
    window.oRenderHtml = new RenderHtml({
        includes: opt_options.includes,
        scope: opt_options.scope,
        htmlbody: opt_options.htmlbody
    });

};