# vMap2 2023.01.01

Le document ci-dessous présente une liste non exhaustive d'évolutions / corrections à retrouver dans la version 2023.01.01 de vMap2.

## Évolutions

### 1. Ajout de la possibilité de faire une comparaison 'is null' pour filtrer une couche

![](images/couche_filtre_is_null.png)

### 2. Description des formats attendus

Ajout d'une infobulle permettant d'aider l'administrateur à limiter les formats attendus pour les champs de type "Fichier Local"

![](images/infobulle_form_edition.png)


### 3. Amélioration du champ Upload du studio

Amélioration du champ upload de vMap2 pour donner la possibilité en version mobile d'utiliser l'appareil photo du téléphone pour uploader une image.

### 4. Ajout de la gestion des modèles d'impression dans un groupe

![](images/gestion_impression.png)

### 5. Ajout de la possibilité d'avoir les formulaires métier en pleine page

L'icône pour passer de l'un à l'autre se situe en haut à droite du formulaire métier

Exemple d'un formulaire métier standard : 

![](images/fm_sans_fullscreen.png)

Exemple d'un formulaire métier pleine page :

![](images/fm_avec_fullscreen.png)

### 6. Recherche d'une parcelle par "Section cadastrale : tri alphabétique mis en place pour la liste des "Sections"

## Corrections / Erreurs fixées

### 1. Traduction anglaise manquante & quelques fautes d'orthographe 

### 2. Erreur générée lors du tri d'une couche réalisée sur la colonne "Type"

![](images/tri_couche_par_type.png)

### 3. Bouton "Annuler" non fonctionnel lorsqu'un formulaire a été modifié mais pas enregistré.

![](images/bouton_annuler.png)

### 4. Affichage incorrect du composante date et heure

AVANT/APRES

![](images/composante_heure.png)

### 5. Affichage des flux WMS et WMTS

### 6. Modification d'une géometrie toujours active même après être sorti de la fonctionnalité

### 7. Mobile : Carte non fonctionnelle lors du clic sur le bouton se localiser

### 8. Erreur lors de l'insertion d'un objet dans une colonne MULTIPOLYGON

### 9. Incompatibilité entre le requeteur et l'url du navigateur

### 10. Requêteur : Filtre par date non fonctionnel

![](images/filtre_date_requeteur.png)

### 11. Symbologie d'une couche : La paramètre général d'opacité ganère une ereur dans la définition de la symbologie.
