<?php

namespace App\Module\Cadastre\WebService\Entity\FicheDescriptive;

use App\Module\Vitis\WebService\Entity\AbstractEntity;
use Doctrine\ORM\Mapping\Column;
use Doctrine\ORM\Mapping\Entity;
use Doctrine\ORM\Mapping\Id;
use Doctrine\ORM\Mapping\MappedSuperclass;

/**
 *  Objet abstrait pour le proprietaire
 *
 * @author Alizée Buckel <alizee.buckel@veremes.com>
 *
 * @MappedSuperclass
 */
abstract class AbstractProprietaire extends AbstractEntity {
  /**
   * @var string
   * @Column(type="string", name="id")
   * @Id
   */
  protected $id;

  /**
   * @var string
   * @Column(type="string", name="dqualp")
   */
  protected $dqualp;

  /**
   * @var string
   * @Column(type="string", name="ddenom")
   */
  protected $ddenom;

  /**
   * @var string
   * @Column(type="string", name="jdatnss")
   */
  protected $jdatnss;

  /**
   * @var string
   * @Column(type="string", name="dldnss")
   */
  protected $dldnss;

  /**
   * @var string
   * @Column(type="string", name="dlign3")
   */
  protected $dlign3;

  /**
   * @var string
   * @Column(type="string", name="dlign4")
   */
  protected $dlign4;

  /**
   * @var string
   * @Column(type="string", name="dlign6")
   */
  protected $dlign6;

  /**
   * @var string
   * @Column(type="string", name="l_ccodem")
   */
  protected $l_ccodem;

  /**
   * @var string
   * @Column(type="string", name="l_ccodro")
   */
  protected $l_ccodro;

  /**
   * @return string
   */
  public function getDqualp(): string {
    return $this->dqualp;
  }

  /**
   * @return string
   */
  public function getDdenom(): string {
    return $this->ddenom;
  }

  /**
   * @return string
   */
  public function getJdatnss(): string {
    return $this->jdatnss;
  }

  /**
   * @return string
   */
  public function getDldnss(): string {
    return $this->dldnss;
  }

  /**
   * @return string
   */
  public function getDlign3(): string {
    return $this->dlign3;
  }

  /**
   * @return string
   */
  public function getDlign4(): string {
    return $this->dlign4;
  }

  /**
   * @return string
   */
  public function getDlign6(): string {
    return $this->dlign6;
  }

  /**
   * @return string
   */
  public function getLCcodem(): string {
    return $this->l_ccodem;
  }

  /**
   * @return string
   */
  public function getLCcodro(): string {
    return $this->l_ccodro;
  }
}
