<?php

namespace App\Module\Cadastre\WebService\Repository;

use App\Module\Cadastre\WebService\Collection\BatiParcelleCollection;
use App\Module\Vitis\WebService\Repository\GenericRepository;
use Doctrine\ORM\EntityManagerInterface;
use Doctrine\ORM\Mapping\ClassMetadata;

class BatiParcelleRepository extends GenericRepository {
  /**
   * {@inheritdoc}
   */
  public function __construct(EntityManagerInterface $em, ClassMetadata $class) {
    parent::__construct($em, $class);
  }

  /**
   * @param array $aId liste des id_par de RapportCadastreParcelleController
   * @return BatiParcelleCollection
   * Cette méthode permet d'obtenir les bâtis par parcelle en fonction des id_par
   */
  public function findByIdParInRange(array $aId): BatiParcelleCollection {
    return new BatiParcelleCollection(parent::findByIdInRange($aId));
  }
}
