<?php

namespace App\Module\Cadastre\WebService\Service;

/**
 * Service permettant de convertir en float
 * Ne contient que des méthodes statiques
 *
 * @author Alizée Buckel <alizee.buckel@veremes.com>
 */
final class MajicUtils {
  /**
   * @param float $fFloat
   * @return string
   */
  public static function setFloatToText(float $fFloat): string {
    return number_format($fFloat, 2, '.', '');
  }
}
