export class WMTSLayerRequireData {
  layerGridId: string; // Identifiant qui permet le lien entre la grille et la couche
  oLayer: WMTSLayer;
  oStyle: WMTSLayerStyle;
  sFormat: string;
  oMatrix: WMTSLayerMatrix;
  bVisible: boolean;
  bIsLoaded: boolean;
  layerId?: number; // Identifiant de la couche si elle est chargé
  bIsInCapabilities: boolean;
}

export class WMTSLayer {
  Identifier: string;
  Title?: string;
}

export class WMTSLayerStyle {
  Identifier: string;
  Title?: string;
}

export class WMTSLayerMatrix {
  Identifier: string;
  SupportedCRS: string;
}
