import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';

@Component({
  selector: 'app-vmap-cadastre-tools-modal',
  templateUrl: './vmap-cadastre-tools-modal.component.html',
  styleUrls: ['./vmap-cadastre-tools-modal.component.scss']
})

export class VmapCadastreToolsModalComponent implements OnInit {

  /**
   * Constructeur
   */
  constructor() { }

  @Input() public isOpen: boolean;
  @Input() public oLabel: string;
  @Input() public modalSize: number;
  @Output() close = new EventEmitter<boolean>();

  /**
   * Chargement du composant
   */
  ngOnInit(): void {
  }

  /**
  * Ferme la modale du relevé de propriété
  */
  public closeModal(): void {
    this.isOpen = false;
    this.close.emit(this.isOpen);
  }
}
