import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';
import { JsonSymbologyStylesSymbolOutline } from 'src/modules/vmap/components/models/json-symbology/json-symbology-style.model';

@Component({
  selector: 'app-symbol-outline',
  templateUrl: './symbol-outline.component.html',
  styleUrls: ['./symbol-outline.component.scss']
})
export class SymbolOutlineComponent implements OnInit {

  @Input() oField: JsonSymbologyStylesSymbolOutline;
  @Input() sAttribut: string;

  @Output() setJsonSymboValue: EventEmitter<JsonSymbologyStylesSymbolOutline> = new EventEmitter();
  @Output() isValidField = new EventEmitter<any>();

  /**
   * Constructeur
   */
  constructor() { }

  /**
   * Chargement du composant
   */
  ngOnInit(): void {
  }

}
