import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';
import { JsonSymbologyStylesSymbolSizeVariation } from 'src/modules/vmap/components/models/json-symbology/json-symbology-style.model';

@Component({
  selector: 'app-symbol-size-variation',
  templateUrl: './symbol-size-variation.component.html',
  styleUrls: ['./symbol-size-variation.component.scss']
})
export class SymbolSizeVariationComponent implements OnInit {

  @Input() oField: JsonSymbologyStylesSymbolSizeVariation;
  @Input() sAttribut: string;

  @Output() setJsonSymboValue: EventEmitter<JsonSymbologyStylesSymbolSizeVariation> = new EventEmitter();
  @Output() isValidField = new EventEmitter<any>();

  /**
   * Constructeur
   */
  constructor() { }

  /**
   * Chargement du composant
   */
  ngOnInit(): void {
  }

}
