/**
 * Configuration options simpleform
 */
export class SimpleformOptions {
  module?: string; // inutilisé
  ressource?: string; // ressource API
  id_field?: string; // Colonne id
  map_field?: string; // colonne à utiliser pour mapper form_path ou sections si c'est un objet
  parent_map_field?: string; // dans une section : colonne à utiliser pour mapper form_path en fonction d'une valeur de l'objet parent
  display?: boolean; // Si true alors crée une route */display permettant la visualisation des données
  update?: boolean; // Si true alors crée une route */update permettant la modification des données
  insert?: boolean; // Si true alors crée une route */insert permettant l'insertion' des données
  form_path?: string|any; // Chemin vers le JSON du formulaire ou table de mappage
  js_path?: string; // Chemin vers le JS du formulaire
  js_services?: string; // Chemin vers le JS du formulaire
  translations?: any;
}

/**
 * Configuration options simpleform
 */
export class SectionSimpleformOptions {
  default_form?: string; // update/display/insert
  display?: boolean; // Si true alors crée une route */display permettant la visualisation des données
  update?: boolean; // Si true alors crée une route */update permettant la modification des données
  insert?: boolean; // Si true alors crée une route */insert permettant l'insertion' des données
}
