import { Component, Inject, OnInit } from '@angular/core';

@Component({
  selector: 'app-wkl-download-btn',
  templateUrl: './wkl-download-btn.component.html',
  styleUrls: ['./wkl-download-btn.component.scss']
})
export class WklDownloadBtnComponent implements OnInit {

  public url: number;

  /**
   * Constructeur
   */
  constructor(
    @Inject('DatagridProvider') public providedValues,
  ) {
    this.url = this.providedValues.oRow[this.providedValues.oColumn.field];
  }

  /**
   * Chargement du composant
   */
  ngOnInit(): void {
  }

}
