import { Component, Inject, OnInit } from '@angular/core';

@Component({
  selector: 'app-wkl-state-icon',
  templateUrl: './wkl-state-icon.component.html',
  styleUrls: ['./wkl-state-icon.component.scss']
})
export class WklStateIconComponent implements OnInit {

  public value: any;
  public states: any;

  /**
   * Constructeur
   */
  constructor(
    @Inject('DatagridProvider') public providedValues,
  ) {
    this.value = this.providedValues.oRow[this.providedValues.oColumn.field];
    this.states = this.providedValues.states;
  }

  /**
   * Chargement du composant
   */
  ngOnInit(): void {
  }
}
