import { Component, Inject, OnInit } from '@angular/core';

@Component({
  selector: 'app-wkl-state-translation',
  templateUrl: './wkl-state-translation.component.html',
  styleUrls: ['./wkl-state-translation.component.scss']
})
export class WklStateTranslationComponent implements OnInit {

  public value: any;
  public states: any;
  public options_style = {};

  /**
   * Constructeur
   */
  constructor(
    @Inject('DatagridProvider') public providedValues,
  ) {
    this.value = this.providedValues.oRow[this.providedValues.oColumn.field];
    this.states = this.providedValues.states;
    if (this.providedValues.options_style) {
      this.options_style = this.providedValues.options_style;
    }
  }

  /**
   * Chargement du composant
   */
  ngOnInit(): void {
  }
}
