# Général

Lancer le serveur et gérer les erreurs qui empèchent l'accés à l'application.
Lancer le `composer analyze` et corriger toutes les erreurs (ou du moins un maximum)
Passer sur un maximum de routes pour déclencher les erreurs plus spécifiques (surveiller les fichiers de log, tout ne provoquera pas un crash violant de l'application)

# Mettre à jour un paquet

composer require mon_module/mon_paquet@version 

La version peut aussi être renseigner directement dans le composer.json 

puis `composer update` s'il fini en erreur sur le nettoyage du cache c'est peut-être à cause d'une incompatibilité avec la mise à jour pas de panique, il faut tester, corriger et relancer la commande pour vérifier que tout est bon.

# Symfony 4.4 -> 5.4 et PHP 7.4.5 -> PHP 8.1.5

- Passer sur PHP 8.1.5 minimum
- Forcer l'extension phpfmt pour le formatage avec ce setting `"phpfmt.php_bin": "/var/lib/php-7.4.5/bin/php",`, visiblement il n'encaisse pas php 8
- ObjectManagerAware : retirer l'interface de la classe en laissant la méthode  (l'entityListener fera le job automatiquement)
- Vérifier tous les use de mappage pour l'ORM (EntityListeners, ...)
- impossibilité de définir des champs à valeur par défaut vaant des champs sans valeurs par défaut
- QueryBuilder Execute n'existe plus et fetchAll non plus (à remplacer par des fonctiosn en focntion du type de requêtes)

# Symfony 5.4 -> 6.1

- Syntaxe des callable [$this, 'ma_fonction'] qui devient $this->ma_fonction(...)