<?php

namespace App\Module\Vitis\WebService\Service\Mail;

/**
 * Interface utilisé pour les entités contextes de mails.
 * @author Anthony Borghi <anthony.borghi@veremes.com>
 */

interface MailContextInterface {

  /**
   * @return bool true si le mail doit être envoyé false sinon
   */
  public function haveToSendMail(): bool;
  /**
   * @return array données à utiliser pour l'évaluation du template
   */
  public function getContextData(): array;
}